<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@description
CU:  Registrar notificación por edicto
página principal

OJO:
truquini: usar <center> para forzar eso cuando no funciona lo de prime
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Registro de notificación por edicto::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

        <p:focus />

        <h3>  OJO: si ve esta página avisar a desarrollador </h3>

        <p:spacer height="20" width="0" />

        <h:form prependId="false">
            <p:panel header="Identificación del trámite" toggleable="true" >
                <p:spacer height="10" width="0" />
                <h:panelGrid columns="8" width="80%">
                    <h:outputLabel value="Número de solicitud: " styleClass="outputLabelStyle"/>
                    <p:commandLink styleClass="commandLinkStyle"
                                   oncomplete="detalleSolicitudEjecutarWV.show();"
                                   update=":detalleSolicitudEjecutarForm" process="@this">
                        <h:outputText value="#{registroNotificacionPorEdicto.currentTramite.solicitud.numero}"
                                      styleClass="outputTextStyle" />
                        <f:setPropertyActionListener
                            value="#{registroNotificacionPorEdicto.currentTramite.solicitud}"
                            target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                    </p:commandLink>

                    <p:spacer height="0" width="20"/>
                    <h:outputLabel value="Número de radicación: " styleClass="outputLabelStyle"/>
                    <p:commandLink styleClass="commandLinkStyle"
                                   oncomplete="detalleTramiteEjecutarWV.show();" process="@this"
                                   update=":detalleTramiteEjecutarForm"
                                   value="#{registroNotificacionPorEdicto.currentTramite.numeroRadicacion}">
                        <f:setPropertyActionListener value="#{registroNotificacionPorEdicto.currentTramite}"
                                                     target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                    </p:commandLink>

                    <p:spacer height="0" width="20"/>
                    <h:outputLabel value="Fecha de radicación: " styleClass="outputLabelStyle"/>
                    <h:outputText value="#{registroNotificacionPorEdicto.currentTramite.fechaRadicacion}"
                                  styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFecha}" type="date"/>
                    </h:outputText>

                    <h:outputLabel value="Tipo de trámite: " styleClass="outputLabelStyle"/>
                    <h:panelGroup>
                        <h:outputText value="#{registroNotificacionPorEdicto.currentTramite.tipoTramite}"
                                      id="TramiteTipoTramiteV" styleClass="outputTextStyle">
                            <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
                        </h:outputText>
                        <p:spacer width="5" height="0" />
                        <h:outputText value="#{registroNotificacionPorEdicto.currentTramite.claseMutacion}"
                                      id="MutacionClase" styleClass="outputTextStyle">
                            <f:converter converterId="converterCB" for="MutacionClase" />
                        </h:outputText>
                        <p:spacer width="5" height="0" />
                        <h:outputText value="#{registroNotificacionPorEdicto.currentTramite.subtipo}"
                                      id="SubtipoMutacionSClase" styleClass="outputTextStyle"
                                      rendered="#{registroNotificacionPorEdicto.currentTramite.claseMutacion eq '2'}">
                            <f:converter converterId="converterCB" for="SubtipoMutacionSClase" />
                        </h:outputText>
                        <p:spacer width="5" height="0" />
                        <h:outputText value="#{registroNotificacionPorEdicto.currentTramite.subtipo}"
                                      id="SubtipoMutacionQClase" styleClass="outputTextStyle"
                                      rendered="#{registroNotificacionPorEdicto.currentTramite.claseMutacion eq '5'}">
                            <f:converter converterId="converterCB" for="SubtipoMutacionQClase" />
                        </h:outputText>
                    </h:panelGroup>

                </h:panelGrid>
            </p:panel>
        </h:form>


        <h:form prependId="false" id="registroNotifForm2">
            <p:messages id="msgsCNR" showDetail="false" globalOnly="false" />
            <h:panelGrid id="tipoPersonaNotificPG" columns="4" cellspacing="15">

                <h:outputLabel value="Tipo de persona notificada: "
                               styleClass="outputLabelStyle" />
                <h:panelGroup>
                    <h:selectOneRadio id="selectTipoPersona"
                                      value="#{registroNotificacionPorEdicto.tipoPersonaNotif}"
                                      label="Tipo de persona notificada"
                                      layout="lineDirection" immediate="true" required="true">
                        <f:selectItem itemLabel="Solicitante"
                                      itemValue="#{registroNotificacionPorEdicto.tipoPersonaNotifSolicitante}" />
                        <f:selectItem itemLabel="Autorizado"
                                      itemValue="#{registroNotificacionPorEdicto.tipoPersonaNotifAutorizado}" />
                        <p:ajax update="msgsCNR, solicitantesPanel, datosNotificadoPanel, documentosACargarPanelGrid" />
                    </h:selectOneRadio>
                    <p:message for="selectTipoPersona" display="icon" id="msg3" />
                </h:panelGroup>

                <p:spacer width="20%" />
                <h:panelGroup>
                    <h:outputLabel value="Fecha de notificación: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText id="fechaNotificacion"
                                  value="#{registroNotificacionPorEdicto.fechaNotificacion}"
                                  styleClass="outputTextStyle" >
                        <f:convertDateTime pattern="#{general.formatoFechaHora24}" locale="es_CO" timeZone="GMT-5" />
                    </h:outputText>
                </h:panelGroup>
            </h:panelGrid>

            <p:outputPanel id="solicitantesPanel" layout="block"  >
                <center>
                    <h:panelGrid width="80%" columns="1">
                        <p:dataTable id="solicitantesDT"
                                     value="#{registroNotificacionPorEdicto.solicitantesRegistroNotificacion}"
                                     var="solicitante" widgetVar="solicitantesTramiteDTWV"
                                     paginator="true" rows="5"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                                     selectionMode="single"
                                     rowKey="#{solicitante.id}"
                                     selection="#{registroNotificacionPorEdicto.selectedSolicitante}"
                                     rendered="#{registroNotificacionPorEdicto.notificadoEsSolicitante}"
                                     emptyMessage="No se encontraron solicitantes">

                            <p:ajax event="rowSelect" listener="#{registroNotificacionPorEdicto.updateValoresPersonaNotificada}"
                                    update=":datosNotificadoPanel"></p:ajax>

                            <f:facet name="header">
                                Solicitantes del trámite
                            </f:facet>

                            <p:column headerText="Nombre completo / Razón social">
                                <h:outputText value="#{solicitante.nombreCompleto}" />
                            </p:column>

                            <p:column headerText="Tipo documento">
                                <h:outputText value="#{solicitante.tipoIdentificacion}" />
                            </p:column>

                            <p:column headerText="Número de identificación">
                                <h:outputText value="#{solicitante.numeroIdentificacion}" />
                            </p:column>

                            <p:column headerText="Tipo solicitante">
                                <h:outputText value="#{solicitante.tipoSolicitante}" />
                            </p:column>
                        </p:dataTable>
                    </h:panelGrid>
                </center>
            </p:outputPanel>

            <p:spacer height="20" width="0" />

            <p:outputPanel id="datosNotificadoPanel" layout="block" style="text-align: center">
                <h:panelGrid columns="5" width="100%">
                    <h:panelGroup>
                        <h:outputLabel value="Tipo de identificación: "
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        <h:selectOneMenu id="tipoIdentific"
                                         label="Tipo de identificación:"
                                         value="#{registroNotificacionPorEdicto.tipoIdentificPersonaNotif}"
                                         disabled="#{registroNotificacionPorEdicto.notificadoEsSolicitante}">
                            <f:selectItems value="#{general.personaTipoIdentificacionV}" />
                        </h:selectOneMenu>
                    </h:panelGroup>

                    <p:spacer width="10" height="0"/>

                    <h:panelGroup>
                        <h:outputLabel value="Número de identificación: " styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        <h:inputText id="numeroIdentific"
                                     value="#{registroNotificacionPorEdicto.numeroIdentificPersonaNotif}"
                                     required="true"
                                     label="Número de documento"
                                     disabled="#{registroNotificacionPorEdicto.notificadoEsSolicitante}" />
                        <p:message for="numeroIdentific" display="icon" id="msg1" />
                    </h:panelGroup>

                    <p:spacer width="10" height="0"/>

                    <h:panelGroup>
                        <h:outputLabel value="Persona notificada: " styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        <h:inputText id="nombrePersonaNotif"
                                     value="#{registroNotificacionPorEdicto.nombrePersonaNotif}"
                                     required="true" maxlength="100" size="50"
                                     label="Nombre persona notificada"
                                     disabled="#{registroNotificacionPorEdicto.notificadoEsSolicitante}" />
                        <p:message for="nombrePersonaNotif" display="icon" id="msg2" />
                    </h:panelGroup>

                </h:panelGrid>
            </p:outputPanel>


            <p:spacer height="20" width="0" />
            <h:panelGrid columns="3" id="documentosACargarPanelGrid" >
                <h:panelGroup>
                    <h:outputLabel value="Documento de notificación: " styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    <h:outputText id="nombreArchNotif"
                                  value="#{registroNotificacionPorEdicto.nombreArchivoNotificacionCargado}"
                                  styleClass="outputTextStyle" />
                </h:panelGroup>
                <p:spacer width="20" height="0" />
                <p:fileUpload id="fu1" label="Cargar documento"
                              fileUploadListener="#{registroNotificacionPorEdicto.cargarArchivo1}"
                              invalidFileMessage="Tipo inválido"
                              required="true"
                              requiredMessage="Debe cargar el documento de notificación"
                              widgetVar="uploader" mode="advanced" auto="true"
                              sizeLimit="#{general.maximoTamanoAdjuntos}" allowTypes="pdf,tif,png,jpg"
                              update="fu1, nombreArchNotif">
                </p:fileUpload>

                <h:panelGroup rendered="#{!registroNotificacionPorEdicto.notificadoEsSolicitante}">
                    <h:outputLabel value="Documento de autorización: " styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    <h:outputText id="nombreArchAutoriz"
                                  value="#{registroNotificacionPorEdicto.nombreArchivoAutorizacionCargado}"
                                  styleClass="outputTextStyle" />
                </h:panelGroup>
                <p:spacer width="20" height="0" />
                <p:fileUpload id="fu2" label="Cargar documento"
                              rendered="#{!registroNotificacionPorEdicto.notificadoEsSolicitante}"
                              fileUploadListener="#{registroNotificacionPorEdicto.cargarArchivo2}"
                              invalidFileMessage="Tipo inválido"
                              requiredMessage="Deeb cargar el documento de autorización"
                              dragDropSupport="true"
                              widgetVar="uploader" mode="advanced" auto="true"
                              sizeLimit="#{general.maximoTamanoAdjuntos}" allowTypes="pdf,tif,png,jpg"
                              update="fu2, nombreArchAutoriz" >
                </p:fileUpload>

            </h:panelGrid>

            <p:spacer height="20" width="0" />
            <h:panelGrid columns="3" >
                <h:panelGroup>
                    <h:outputLabel value="Renuncia a recursos: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="renunciaRecursosCombo"
                                     value="#{registroNotificacionPorEdicto.renunciaARecursos}">
                        <f:selectItems value="#{general.siNo}" />
                    </h:selectOneMenu>
                </h:panelGroup>
                <p:spacer width="20" height="0" />
                <h:panelGroup>
                    <h:outputLabel value="Forma de notificación: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="formaNotificacionCombo"
                                     value="#{registroNotificacionPorEdicto.formaNotificacion}">
                        <f:selectItems value="#{general.tramiteDocumentoMetoNoti}" />
                    </h:selectOneMenu>
                </h:panelGroup>
            </h:panelGrid>

            <p:spacer height="20" width="0" />
            <p:separator />
            <p:outputPanel layout="block" style="text-align: center">
                <h:panelGrid width="80%" columns="3">
                    <p:commandButton value="Ver resolución"
                                     oncomplete="resolucionTramiteWV.show();"
                                     immediate="true"/>
                    <p:spacer width="30" />
                    <p:commandButton value="Guardar registro de notificación por edicto"
                                     disabled="#{registroNotificacionPorEdicto.disabledGuardarButton}"
                                     update="msgsCNR, msg1, msg2"
                                     icon="ui-icon-seek-next"
                                     title="Guarda los documentos y la información de la notificación y mueve el proceso del trámite"
                                     action="#{registroNotificacionPorEdicto.guardarRegistroNotificacion}"
                                     />
                </h:panelGrid>
            </p:outputPanel>


        </h:form>

        <p:dialog header="Resolución del trámite"
                  widgetVar="resolucionTramiteWV" modal="true" appendToBody="true"
                  resizable="true" position="center" width="800" height="500">
            <ui:include src="documentoResolucion.xhtml" />
        </p:dialog>

        <p:dialog header="Detalle de la solicitud" id="detalleSolicitudEjecutarId"
                  widgetVar="detalleSolicitudEjecutarWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960" dynamic="true">			
            <ui:include src="../ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle del trámite"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960" dynamic="true">
            <ui:include
                src="/conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalles del predio" widgetVar="detallePredioWV" dynamic="true"
                  modal="true" appendToBody="true"
                  resizable="true" position="center" height="600" width="1024">

            <!-- ui:include src="../detallePredio.xhtml" id="dpModal1" / -->
            <script type="text/javascript">
                alert('OJO. Decirle a pedro.garcia que hay que cambiar esto para que use el componente de detalle de predio');
            </script>


        </p:dialog>

        <p:dialog header="Número Predial Anterior"
                  widgetVar="numPredAnteriorDlg" appendToBody="true" modal="true"
                  height="500" width="1024">
            <ui:include src="../consultarNumeroPredialAnterior.xhtml" />
        </p:dialog>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

    </ui:define>
</ui:composition>